## docbook-xml 4.5

=== debian/changelog ===
docbook-xml (4.5-9) unstable; urgency=medium

  * QA upload.
  * Set Rules-Requires-Root to no.
  * Rewrite rules file to use dh.
  * Bump debhelper compat to 12.  Only difference is the order of
    two (non-conflicting) maintainer script snippets.
  * Remove obsolete lintian-overrides file.

 -- Niels Thykier <niels@thykier.net>  Sun, 14 Jul 2019 12:37:11 +0000

docbook-xml (4.5-8) unstable; urgency=medium

  * QA upload.
  * Orphan package, see #802368.
  * Remove Uploaders who are no longer active. (Closes: #554231)
  * Drop obsolete DM-Upload-Allowed: yes field.
  * Import package history into git (via gbp import-dscs --debsnap) and
    distribute it on collab-maint. Set Vcs-Git and Vcs-Browser accordingly.
  * Switch from dpatch to dpkg source format 3.0 (quilt).

 -- Michael Biebl <biebl@debian.org>  Wed, 07 Sep 2016 16:18:13 +0200

docbook-xml (4.5-7.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Add multiarch meta-data (Closes: #732096)

 -- Wookey <wookey@debian.org>  Thu, 28 May 2015 17:29:38 +0100

docbook-xml (4.5-7.2) unstable; urgency=high

  [ Helmut Grohne ]
  * Non-maintainer upload.
  * Demote Pre-Depends on xml-core to Depends. It was used to fix upgrades
    from etch to lenny, but this is no longer necessary.  Closes: #705452.

 -- Julien Cristau <jcristau@debian.org>  Wed, 24 Apr 2013 16:17:54 +0200

docbook-xml (4.5-7.1) unstable; urgency=low

  * Non-maintainer upload.
  * Rebuild against debhelper (>= 9.20120528) to fix postinst that
    unconditionally overwrites files in /etc (see: #477751, closes: #675482).
    Thanks to Helmut Grohne for the bug report.

 -- Jakub Wilk <jwilk@debian.org>  Sat, 09 Jun 2012 11:47:30 +0200

docbook-xml (4.5-7) unstable; urgency=low

  * debian/control (Standards-Version): Bumped to 3.8.3.
    (Homepage): Changed to docbook.org (closes: #545145).
    (Description): Fixed typo.
  * debian/copyright: Fixed copyright-refers-to-versionless-license-file.
  * debian/rules (get-orig-source): Fixed mktemp invocation (closes: #545147).
  * debian/README.Debian: Updated a bit.
  * debian/README.source: Added to make lintian happy.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Tue, 08 Sep 2009 15:18:15 +0200

docbook-xml (4.5-6) unstable; urgency=low

  * debian/compat: Raised to v5.
  * debian/control: Vcs fields transition. Added DM-Upload-Allowed.
    (Vcs-Svn): Fixed location.
    (Build-Depends): Raised debhelper to v5.
    (Depends): Moved xml-core to Pre-Depends and increased the version to 0.12
    (closes: #482140).
    (Standards-Version): Raised to 3.7.3.
  * debian/rules (debian/docbook-xml.install): Fixed to not put non-existent
    files into the .install file.
    (debian/docbook-xml.xmlcatalogs): Use `sed -i' and do not create a
    temporary file.
  * debian/source.lintian-overrides: Added to override
    patch-system-but-direct-changes-in-diff warning, because file creation is
    intended.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Sun, 26 Oct 2008 15:13:10 +0100

docbook-xml (4.5-5) unstable; urgency=low

  * debian/control: Homepage field transition.
    (Suggests): Replaced non-existing docbook-doc package with
    docbook-defguide.
    (Description): Added information about the included versions.
  * debian/docbook-xml.postinst: Removed (only pre-etch legacy stuff).
  * debian/docbook-xml.preinst: Parsing of dpkg status file is considered
    harmful. Replacing this with a dpkg-query call. Thanks to Guillem Jover
    for bringing this up.
  * debian/README.Debian: Added note about the DocBook guide.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Wed, 26 Sep 2007 22:28:02 +0200

docbook-xml (4.5-4) unstable; urgency=low

  [ Daniel Leidert ]
  * debian/docbook-xml.preinst: Added some code to remove
    /etc/sgml/docbook-xml/3.1.7/dbgenent.ent automatically, if not touched
    (closes: #426058).
  * debian/watch: Added watch file.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Mon, 28 May 2007 22:32:57 +0200

docbook-xml (4.5-3) unstable; urgency=medium

  * debian/control (Maintainer, Uploaders): Set the Debian XML/SGML team as
    maintainer, so bug-reports go to the team list first.
  * debian/rules: Removed bashisms (closes: #421897). Thanks to Sebastian
    Dröge for the report.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Thu, 03 May 2007 19:47:56 +0200

docbook-xml (4.5-2) unstable; urgency=low

  * Adding the Debian XML/SGML group and myself as co-maintainers closes:
    #358520. Simply forgot it.

  [ Daniel Leidert ]
  * catalog: Added system IDs too for DOCTYPE declarations only containing a
    system ID.
  * docbook-4.0/docbook.cat: Likewise.
  * debian/patches/06_add_system_identifiers_to_catalog.dpatch: Likewise.
  * debian/docbook-xml.examples: Fixed examples location: will re-add them
    back to the package.
  * debian/docbook-xml.xmlcatalogs.in: Added entry for "-//OASIS//DTD XML
    Exchange Table Model 19990315//EN" FPI to the root catalog.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Wed, 18 Apr 2007 20:53:41 +0200

docbook-xml (4.5-1) unstable; urgency=low

  * New upstream release DocBook XML 4.5 added (closes: #413167).
  * DocBook XML 3.1.7 was dropped from the package.

  [ Daniel Leidert ]
  * catalog: Added. Contains 4.1 compat stuff and general FPIs pointing to
    latest DB4 release.
  * catalog.xml: Added for same reason.
  * docbook-4.0/catalog.xml: Fixed several wrong FPIs refering to "DocBk".
  * docbook-4.0/docbook.cat: Fixed several wrong FPIs refering to "DocBk".
  * docbook-4.1.2/catalog.xml: Moved compat catalog entries for DB 4.1 to a
    general catalog. Fixed FPI "-//OASIS//ELEMENTS DocBook XML Information
    Pool V4.1.2//EN".
  * debian/control: Added XS-Vcs-* fields.
    (Uploaders): Added the Debian XML/SGML group and myself.
    (Build-Depends-Indep): Moved debhelper to Build-Depends.
    (Build-Depends): Added dpatch.
    (Standards-Version): Bump to latest standards version 3.7.2.

