=== debian/watch ===
# See uscan(1) for format

version=3
http://www.oasis-open.org/docbook/xml/4\.([\d]+)/docbook-xml-([\d\.]+).zip
